/*
 * PatternBase.h - Base class for all display patterns
 *
 * Concept and Implementation by: Craig A. Lindley
 * Version: 1.1
 * Last Update: 03/15/2015
 */

#ifndef PATTERN_BASE_H
#define PATTERN_BASE_H

class PatternBase {

  public:

    virtual void setup() {
    }

    virtual void drawPattern() {
      Serial.println("Should never see this");
    }

    virtual void tearDown() {
    }

  protected:
    boolean terminated;

};

#endif




